Package org.bukkit.event.entity

# Class VillagerReplenishTradeEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.entity.EntityEvent
org.bukkit.event.entity.VillagerReplenishTradeEvent

All Implemented Interfaces:
  `Cancellable`

public class VillagerReplenishTradeEvent extends EntityEvent implements Cancellable
Called when a villager's trade's maximum uses is increased, due to a player's trade.

See Also:
  - `MerchantRecipe.getMaxUses()`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.entity.EntityEvent

`entity`

## Constructor Summary

Constructors
Constructor
Description
`VillagerReplenishTradeEvent(@NotNull AbstractVillager what, @NotNull MerchantRecipe recipe, int bonus)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getBonus()`
Get the bonus uses added.
`@NotNull AbstractVillager`
`getEntity()`
Returns the Entity involved in this event
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@NotNull MerchantRecipe`
`getRecipe()`
Get the recipe to replenish.
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setBonus(int bonus)`
Set the bonus uses added.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.
`void`
`setRecipe(@NotNull MerchantRecipe recipe)`
Set the recipe to replenish.

### Methods inherited from class org.bukkit.event.entity.EntityEvent

`getEntityType`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### VillagerReplenishTradeEvent

public VillagerReplenishTradeEvent(@NotNull @NotNull AbstractVillager what, @NotNull @NotNull MerchantRecipe recipe, int bonus)

## Method Details

### getRecipe

@NotNull public @NotNull MerchantRecipe getRecipe()
Get the recipe to replenish.

Returns:
  the replenished recipe

### setRecipe

public void setRecipe(@NotNull @NotNull MerchantRecipe recipe)
Set the recipe to replenish.

Parameters:
  `recipe` - the replenished recipe

### getBonus

public int getBonus()
Get the bonus uses added. The maximum uses of the recipe will be increased by this number.

Returns:
  the extra uses added

### setBonus

public void setBonus(int bonus)
Set the bonus uses added.

Parameters:
  `bonus` - the extra uses added
See Also:
  - `getBonus()`

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event

### getEntity

@NotNull public @NotNull AbstractVillager getEntity()
Description copied from class: `EntityEvent`
Returns the Entity involved in this event

Overrides:
  `getEntity` in class `EntityEvent`
Returns:
  Entity who is involved in this event

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()